1. Member Profiles
Privage Open API
Open API V2
  • Open API
  • Open API V2
  • Welcome to Privage Open API Documents (In-development)
  • Authentication
    • Generate Exchange Token
      POST
    • Exchange Access Token
      POST
    • Renew Access Token
      POST
    • Get Access Token
      POST
  • Extension Config
    • Get Current Add-On status
      GET
  • Campaigns
    • Get Campaign
      GET
  • Member Profiles
    • Get Profile
      GET
  • Transactions
    • Get Transaction
      GET
    • Add Point
      POST
    • Burn Point
      POST
    • Void Transaction By Id
      DELETE
    • Void Transaction By RefNo
      DELETE
    • Void Transaction By RefId
      DELETE
  • Coupons
    • Get Coupon Set
      GET
    • Create Coupon Set
      POST
    • Give Coupon to Member ID
      POST
    • Get Give Coupon History
      GET
    • Void Give Coupon
      DELETE
    • Check Coupon
      GET
    • Mark Use Coupon
      POST
  1. Member Profiles

Get Profile

สำหรับผู้ใช้ทั่วไป (Privage Open API)
https://core.privageapp.com
สำหรับผู้ใช้ทั่วไป (Privage Open API)
https://core.privageapp.com
GET
/v2/connect/profiles
ตรวจสอบข้อมูลสมาชิก

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
Paginated profiles
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://core.privageapp.com/v2/connect/profiles?page&size&sort&search' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "pagination": {
        "total": 0,
        "page": 0,
        "size": 0
    },
    "data": [
        {
            "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
            "name": "string",
            "last_name": "string",
            "phone_code": "string",
            "phone_number": "string",
            "verified": true,
            "otp_verified": true,
            "line_verified": true,
            "active": true,
            "profile_picture": "string",
            "line_id": "string",
            "other_data": [
                {
                    "key": "string",
                    "value": "string"
                }
            ],
            "cards": [
                {
                    "uuid": "string",
                    "card_no": "string",
                    "card_nickname": "string",
                    "card_type": "string",
                    "point": 0
                }
            ]
        }
    ]
}
Modified at 2026-04-19 14:06:31
Previous
Get Campaign
Next
Get Transaction
Built with